with GNATCOM.Dispinterface;

package MSHTML.IHTMLTextContainer_Object is

   type IHTMLTextContainer_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function createControlRange
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollHeight
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollWidth
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_scrollTop
     (This : IHTMLTextContainer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_scrollTop
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_scrollLeft
     (This : IHTMLTextContainer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_scrollLeft
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onscroll
     (This : IHTMLTextContainer_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onscroll
     (This : IHTMLTextContainer_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLTextContainer_Object;

